<?php

define('PHPGW_INCLUDE_ROOT','../');	
define('PHPGW_API_INC','../phpgwapi/inc');
require_once(PHPGW_API_INC . '/class.db.inc.php');
	
class db_im
{	
	
	private $db;
	private $db_name;
	private $db_host;
	private $db_port;
	private $db_user;
	private $db_pass;
	private $db_type;
	private $user_id;
	
	public final function __construct()
	{
		$this->db_name = $_SESSION['phpgw_info']['jabberit_messenger']['server']['db_name'];
		$this->db_host = $_SESSION['phpgw_info']['jabberit_messenger']['server']['db_host'];
		$this->db_port = $_SESSION['phpgw_info']['jabberit_messenger']['server']['db_port'];
		$this->db_user = $_SESSION['phpgw_info']['jabberit_messenger']['server']['db_user'];
		$this->db_pass = $_SESSION['phpgw_info']['jabberit_messenger']['server']['db_pass'];
		$this->db_type = $_SESSION['phpgw_info']['jabberit_messenger']['server']['db_type'];
		$this->user_id = $_SESSION['phpgw_info']['jabberit_messenger']['user_id'];
	}

	public final function get_accounts_acl()
	{
			
		$this->db = new db();
		$this->db->connect($this->db_name,$this->db_host,$this->db_port,$this->db_user,$this->db_pass,$this->db_type);		
		
		$query  = "select acl_account from phpgw_acl where acl_location in (select acl_account from phpgw_acl where acl_appname = 'jabberit_messenger') ";
		$query .= "union select acl_account from phpgw_acl where acl_appname = 'jabberit_messenger'";
		
		if( $this->db->query($query) )	
		{
			$users = array();
			$new_users = array();
			while($this->db->next_record())
				$users[] = $this->db->row();

			if(is_array($users))
				foreach($users as $tmp)
					$new_users[] = $tmp['acl_account'];
			
			return $new_users;
		}
		
		return false;
	}
	
	private final function query_db($pQuery)
	{
		if (!$this->db->query($pQuery))
        	return false;
		else
			return true;
	}
}

?>
