<?php

require_once "class.jabber.inc.php";

class ujabber
{
	private $jabber;
	private $error;

	function __construct()
	{
		
		$this->jabber = new Jabber();
		$this->jabber->username	 = $_SESSION['phpgw_info']['jabberit_messenger']['user'];
		$this->jabber->password	 = $_SESSION['phpgw_info']['jabberit_messenger']['passwd'];
		$this->jabber->server	 = $_SESSION['phpgw_info']['jabberit_messenger']['name_jabberit'];
		$this->jabber->resource  = "JABADD";
	}	
	
	function connect()
	{
		if(!$this->jabber->Connect())
		{
			$this->error = "No Connect";
			return false;	
		}
		if(!$this->jabber->SendAuth())
		{
			$this->error = "No Auth";
			return false;
		}
		
		return true;
	}
	
	function disconnect()
	{
		
		$this->jabber->Disconnect();
	}
	
	function AddNewContact($pNewUser)
	{
		$this->connect();
		$jid	= $pNewUser['uid']."@". $this->jabber->server;
		$id		= 'add_user'.time();
		$name	= $pNewUser['name'];
		$group	= $pNewUser['group'];
		
		if($this->jabber->RosterAddUser($jid,$id,$name,$group))
		{
			if($this->jabber->Subscribe($jid))
				return true;
		}
		else
		{
			return false;
		}

		$this->disconnect();
	}

	function statusWindow()
	{
		if(!isset($_SESSION['phpgw_info']['jabberit_messenger']['status']))
			return 'closed';
		else
			return $_SESSION['phpgw_info']['jabberit_messenger']['status'];
	}

	function setWindow($pStatus)
	{
		$_SESSION['phpgw_info']['jabberit_messenger']['status'] = $pStatus['window'];
	}
}
?>	
